Create a list of coupon codes
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/couponblocks/{couponBlockId}/codes
clientIdinteger<int64>Client ID
couponBlockIdinteger<int64>Coupon block ID
acceptstringGenerated from available response content types
codesarrayList of coupon codes
201The coupon codes were created successfully.
400The request parameters are invalid.
404The coupon block could not be found. Ensure that the required parameters such as "couponBlockId" are correct and the coupon block exists.
409The coupon block is not assigned to the indicated client. Ensure that "clientId" and "couponBlockId" are correct and that the "couponBlockId" is assigned to the indicated client.
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/couponblocks/{couponBlockId}/codes \
--header 'accept: application/json' \
--header 'content-type: application/x-www-form-urlencoded' \
--data 'codes=array'